org.apache.jasper

## Class Constants

- java.lang.Object
- - org.apache.jasper.Constants

    public class Constants
    extends Object

Some constants and other global data that are used by the compiler and the runtime.

Author:
  Anil K. Vijendran, Harish Prabandham, Shawn Bayern, Mark Roth

### Field Summary

Fields
`static String` `ALT_DD_ATTR`
`static List<String>` `CACHED_DTD_PUBLIC_IDS`
`static List<String>` `CACHED_DTD_RESOURCE_PATHS`
`static String` `CATALINA_BASE_PROP` Name of the system property containing the tomcat instance installation path
`static String` `CATALINA_HOME_PROP` Name of the system property containing the tomcat product installation path
`static int` `DEFAULT_BUFFER_SIZE` Default size of the JSP buffer.
`static String` `DEFAULT_JAR_SKIP_PROP` Name of system property containing default list of JARs to skip when scanning JARs for configuration elements such as TLDs.
`static int` `DEFAULT_TAG_BUFFER_SIZE` Default size for the tag buffers.
`static String` `IE_PLUGIN_URL`
`static boolean` `IS_SECURITY_ENABLED` Has security been turned on?
`static String` `JSP_FILE` Request attribute for `<jsp-file>` element of a servlet definition.
`static String` `JSP_PACKAGE_NAME` The default package name for compiled jsp pages.
`static String` `JSP_SERVLET_BASE` The base class of the generated servlets.
`static int` `MAX_POOL_SIZE` Default tag handler pool size.
`static String` `NEWLINE` Platform specific new line sequence.
`static String` `NS_PLUGIN_URL` Default URLs to download the plugin for Netscape and IE.
`static String` `PRECOMPILE` The query parameter that causes the JSP engine to just pregenerated the servlet but not invoke it.
`static String` `SERVICE_METHOD_NAME` _jspService is the name of the method that is called by HttpJspBase.service().
`static String` `SERVLET_CLASSPATH` ServletContext attribute for classpath.
`static String` `SERVLET_CONTENT_TYPE` Default servlet content type.
`static String` `SESSION_PARAMETER_NAME` The name of the path parameter used to pass the session identifier back and forth with the client.
`static List<String>` `STANDARD_IMPORTS`
`static String` `TAG_FILE_PACKAGE_NAME` The default package name for tag handlers generated from tag files
`static String` `TAGLIB_DTD_PUBLIC_ID_11` Public Id and the Resource path (of the cached copy) of the DTDs for tag library descriptors.
`static String` `TAGLIB_DTD_PUBLIC_ID_12`
`static String` `TAGLIB_DTD_RESOURCE_PATH_11`
`static String` `TAGLIB_DTD_RESOURCE_PATH_12`
`static String` `TEMP_VARIABLE_NAME_PREFIX` Prefix to use for generated temporary variable names
`static String` `TLD_JAR_SKIP_PROP` Name of system property containing additional list of JARs to skip when scanning for TLDs.
`static boolean` `USE_INSTANCE_MANAGER_FOR_TAGS`
`static String` `WEBAPP_DTD_PUBLIC_ID_22` Public Id and the Resource path (of the cached copy) of the DTDs for web application deployment descriptors
`static String` `WEBAPP_DTD_PUBLIC_ID_23`
`static String` `WEBAPP_DTD_RESOURCE_PATH_22`
`static String` `WEBAPP_DTD_RESOURCE_PATH_23`
`static String` `XML_BLOCK_EXTERNAL_INIT_PARAM` Name of the ServletContext init-param that determines if the XML parsers will block the resolution of external entities.
`static String` `XML_VALIDATION_INIT_PARAM` Name of the ServletContext init-param that determines if the XML parsers used for web.xml files will be validating or not.
`static String` `XML_VALIDATION_TLD_INIT_PARAM` Name of the ServletContext init-param that determines if the XML parsers used for *.tld files will be validating or not.

### Constructor Summary

Constructors
Constructor and Description
`Constants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### JSP_SERVLET_BASE

    public static final String JSP_SERVLET_BASE

The base class of the generated servlets.

#### SERVICE_METHOD_NAME

    public static final String SERVICE_METHOD_NAME

_jspService is the name of the method that is called by HttpJspBase.service(). This is where most of the code generated from JSPs go.

#### SERVLET_CONTENT_TYPE

    public static final String SERVLET_CONTENT_TYPE

Default servlet content type.

See Also:
  Constant Field Values

#### STANDARD_IMPORTS

    public static final List<String> STANDARD_IMPORTS

#### SERVLET_CLASSPATH

    public static final String SERVLET_CLASSPATH

ServletContext attribute for classpath. This is tomcat specific. Other servlet engines may choose to support this attribute if they want to have this JSP engine running on them.

#### JSP_FILE

    public static final String JSP_FILE

Request attribute for `<jsp-file>` element of a servlet definition. If present on a request, this overrides the value returned by `request.getServletPath()` to select the JSP page to be executed.

#### DEFAULT_BUFFER_SIZE

    public static final int DEFAULT_BUFFER_SIZE

Default size of the JSP buffer.

See Also:
  Constant Field Values

#### DEFAULT_TAG_BUFFER_SIZE

    public static final int DEFAULT_TAG_BUFFER_SIZE

Default size for the tag buffers.

See Also:
  Constant Field Values

#### MAX_POOL_SIZE

    public static final int MAX_POOL_SIZE

Default tag handler pool size.

See Also:
  Constant Field Values

#### NEWLINE

    public static final String NEWLINE

Platform specific new line sequence.

#### PRECOMPILE

    public static final String PRECOMPILE

The query parameter that causes the JSP engine to just pregenerated the servlet but not invoke it.

#### JSP_PACKAGE_NAME

    public static final String JSP_PACKAGE_NAME

The default package name for compiled jsp pages.

#### TAG_FILE_PACKAGE_NAME

    public static final String TAG_FILE_PACKAGE_NAME

The default package name for tag handlers generated from tag files

#### ALT_DD_ATTR

    public static final String ALT_DD_ATTR

#### TAGLIB_DTD_PUBLIC_ID_11

    public static final String TAGLIB_DTD_PUBLIC_ID_11

Public Id and the Resource path (of the cached copy) of the DTDs for tag library descriptors.

See Also:
  Constant Field Values

#### TAGLIB_DTD_RESOURCE_PATH_11

    public static final String TAGLIB_DTD_RESOURCE_PATH_11

See Also:
  Constant Field Values

#### TAGLIB_DTD_PUBLIC_ID_12

    public static final String TAGLIB_DTD_PUBLIC_ID_12

See Also:
  Constant Field Values

#### TAGLIB_DTD_RESOURCE_PATH_12

    public static final String TAGLIB_DTD_RESOURCE_PATH_12

See Also:
  Constant Field Values

#### WEBAPP_DTD_PUBLIC_ID_22

    public static final String WEBAPP_DTD_PUBLIC_ID_22

Public Id and the Resource path (of the cached copy) of the DTDs for web application deployment descriptors

See Also:
  Constant Field Values

#### WEBAPP_DTD_RESOURCE_PATH_22

    public static final String WEBAPP_DTD_RESOURCE_PATH_22

See Also:
  Constant Field Values

#### WEBAPP_DTD_PUBLIC_ID_23

    public static final String WEBAPP_DTD_PUBLIC_ID_23

See Also:
  Constant Field Values

#### WEBAPP_DTD_RESOURCE_PATH_23

    public static final String WEBAPP_DTD_RESOURCE_PATH_23

See Also:
  Constant Field Values

#### CACHED_DTD_PUBLIC_IDS

    public static final List<String> CACHED_DTD_PUBLIC_IDS

#### CACHED_DTD_RESOURCE_PATHS

    public static final List<String> CACHED_DTD_RESOURCE_PATHS

#### NS_PLUGIN_URL

    public static final String NS_PLUGIN_URL

Default URLs to download the plugin for Netscape and IE.

See Also:
  Constant Field Values

#### IE_PLUGIN_URL

    public static final String IE_PLUGIN_URL

See Also:
  Constant Field Values

#### TEMP_VARIABLE_NAME_PREFIX

    public static final String TEMP_VARIABLE_NAME_PREFIX

Prefix to use for generated temporary variable names

#### IS_SECURITY_ENABLED

    public static final boolean IS_SECURITY_ENABLED

Has security been turned on?

#### USE_INSTANCE_MANAGER_FOR_TAGS

    public static final boolean USE_INSTANCE_MANAGER_FOR_TAGS

#### SESSION_PARAMETER_NAME

    public static final String SESSION_PARAMETER_NAME

The name of the path parameter used to pass the session identifier back and forth with the client.

#### CATALINA_HOME_PROP

    public static final String CATALINA_HOME_PROP

Name of the system property containing the tomcat product installation path

See Also:
  Constant Field Values

#### CATALINA_BASE_PROP

    public static final String CATALINA_BASE_PROP

Name of the system property containing the tomcat instance installation path

See Also:
  Constant Field Values

#### DEFAULT_JAR_SKIP_PROP

    public static final String DEFAULT_JAR_SKIP_PROP

Name of system property containing default list of JARs to skip when scanning JARs for configuration elements such as TLDs.

See Also:
  Constant Field Values

#### TLD_JAR_SKIP_PROP

    public static final String TLD_JAR_SKIP_PROP

Name of system property containing additional list of JARs to skip when scanning for TLDs.

See Also:
  Constant Field Values

#### XML_VALIDATION_TLD_INIT_PARAM

    public static final String XML_VALIDATION_TLD_INIT_PARAM

Name of the ServletContext init-param that determines if the XML parsers used for *.tld files will be validating or not.

This must be kept in sync with org.apache.catalina.Globals

See Also:
  Constant Field Values

#### XML_VALIDATION_INIT_PARAM

    public static final String XML_VALIDATION_INIT_PARAM

Name of the ServletContext init-param that determines if the XML parsers used for web.xml files will be validating or not.

This must be kept in sync with org.apache.catalina.Globals

See Also:
  Constant Field Values

#### XML_BLOCK_EXTERNAL_INIT_PARAM

    public static final String XML_BLOCK_EXTERNAL_INIT_PARAM

Name of the ServletContext init-param that determines if the XML parsers will block the resolution of external entities.

This must be kept in sync with org.apache.catalina.Globals

See Also:
  Constant Field Values

### Constructor Detail

#### Constants

    public Constants()